%% matlab_to_pvs_syntax_translation
%translate matlab syntax to pvs syntax,
% will be added to in the future
% will only work for functions in the prelude
%
% inputs:
%   object:PVS_checker - PVS_checker object
%   matlab_string:string - string to be converted from matlab
%       syntax to pvs
% outputs;
%   pvs_string:string - string converted to pvs syntax.
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function pvs_string = matlab_to_pvs_syntax_translation(object,matlab_string)
s = [matlab_string(1,:)];
for j = 2:size(matlab_string,1)
   s = [s ' ' matlab_string(j,:)];
end
matlab_string = s;

pvs_string = regexprep(matlab_string,'&&',' AND ');
pvs_string = regexprep(pvs_string,'~(?!=)',' NOT ');
pvs_string = regexprep(pvs_string,'~=',' /= ');
pvs_string = regexprep(pvs_string,'==',' = ');
pvs_string = regexprep(pvs_string,'\|\|',' OR ');
pvs_string = regexprep(pvs_string,'ceil','ceiling');
pvs_string = regexprep(pvs_string,'NaN','invalid');
end




